%define		module			pygtksourceview
%define		pygtk_req		2:2.14.0
#
Summary:	GtkSourceView2 bindings for Python
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GtkSourceView2
Name:		python-gtksourceview2
Version:	2.10.1
Release:	6
License:	LGPL
Group:		Libraries/Python
Source0:	http://ftp.gnome.org/pub/GNOME/sources/pygtksourceview/2.10/%{module}-%{version}.tar.bz2
# Source0-md5:	2654354d61422fb79d8375fc3a3b5393
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.7
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gtk-doc >= 1.4
BuildRequires:	gtksourceview2-devel >= 2.10.0
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.3.2
# for style.css
BuildRequires:	python-pygobject-apidocs >= 2.16.0
BuildRequires:	python-pygobject-devel >= 2.16.0
BuildRequires:	python-pygtk-devel >= %{pygtk_req}
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
Requires:	python-pygobject >= 2.16.0
Requires:	python-pygtk-gtk >= %{pygtk_req}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define pydefsdir %(pkg-config --variable=defsdir pygtk-2.0)

%description
GtkSourceView2 bindings for Python.

%description -l pl.UTF-8
Wiązania Pythona do biblioteki GtkSourceView2.

%package devel
Summary:	GtkSourceView2 bindings for Python - development files
Summary(pl.UTF-8):	Pliki programistyczne wiązań Pythona do biblioteki GtkSourceView2
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	gtksourceview2-devel >= 2.10.0
Requires:	python-pygtk-devel >= %{pygtk_req}

%description devel
GtkSourceView2 bindings for Python - development files.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań Pythona do biblioteki GtkSourceView2.

%package apidocs
Summary:	pygtksourceview2 API documentation
Summary(pl.UTF-8):	Dokumentacja API pygtksourceview2
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
pygtksourceview2 API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API pygtksourceview2.

%prep
%setup -q -n %{module}-%{version}

%build
sed -i 's/codegen\.py/codegen.pyc/' configure.ac
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTMLdir=%{_gtkdocdir}/pygtksourceview2

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{py_sitedir}/gtksourceview2.so

%files devel
%defattr(644,root,root,755)
%{pydefsdir}/gtksourceview2.defs
%{_pkgconfigdir}/pygtksourceview-2.0.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/pygtksourceview2
%changelog
* Tue Mar 03 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-gtksourceview2.git;a=log;h=master

* Tue Mar 03 2015 Elan Ruusamäe <glen@delfi.ee> f7ca3f8
- x32 rebuild
- release 6 (by relup.sh)

* Tue Nov 01 2011 Jakub Bogusz <qboosh@pld-linux.org> 2cbae46
- runtime pygtk dependency

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 1f46782
- release 5

* Fri Oct 22 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5324977
- release 4

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9daa6df
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ec6005
- release 2

* Wed May 12 2010 sparky <sparky@pld-linux.org> 7932c2d
- BR: docbook-dtd412-xml

* Wed Apr 21 2010 Marcin Banasiak <marcin.banasiak@gmail.com> f2a4e55
- updated to 2.10.1

* Sun Mar 28 2010 Marcin Banasiak <marcin.banasiak@gmail.com> cd9576a
- updated to 2.10.0; merged from DEVEL

* Thu Nov 26 2009 Patryk Zawadzki <patrys@room-303.com> 47576dc
- 2.8.0

* Sun Mar 22 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 4b0a276
- updated to 2.6.0

* Sun Nov 09 2008 Szymon Siwek <sls@pld-linux.org> 99fe070
- ver. 2.4.0

* Tue Nov 04 2008 Szymon Siwek <sls@pld-linux.org> 53d11e6
- BR: gtk-doc, rpm-pythonprov

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 032759f
- release 2

* Tue Mar 11 2008 Patryk Zawadzki <patrys@room-303.com> 1dfe95c
- 2.2.0

* Wed Feb 06 2008 Marcin Banasiak <marcin.banasiak@gmail.com> d8e43d4
- updated to 2.1.1

* Fri Jan 25 2008 Patryk Zawadzki <patrys@room-303.com> 9501922
- 2.1.0

* Mon Sep 17 2007 Patryk Zawadzki <patrys@room-303.com> bbaac2c
- 2.0.0

* Thu Aug 30 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 4a61bd8
- updated to 1.90.4

* Sat Aug 04 2007 Patryk Zawadzki <patrys@room-303.com> 902e929
- 1.90.3

